I have a macbook OS X 10.5.8. I need to upgrade to the 10.6.8 snow leopard, will my mac OS be able to support the program?

Mac

Follow this Question

1 Answer from the Community

  • Answer

    That depends on your machine. Look up the system requirements for SL and that should help you out a little. I'm currently running 10.6.8 without any problems on an older Macbook Pro. I would recommend getting as much RAM installed, which on mine is 3g, even though SL will run on 1g of RAM. You'll notice a slight slow down at 1g when compared to Tiger. Well worth the effort to upgrade though.

    Was this useful? Answer 1

    3 of 5 people found this useful

Similar Questions

See more Similar Questions